php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #11257 sapi_apache2.c compile problem
Submitted: 2001-06-03 09:52 UTC Modified: 2001-06-03 11:52 UTC
From: msopacua at idg dot nl Assigned:
Status: Closed Package: Installation problem
PHP Version: 4.0.5 OS: BSD/OS
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: msopacua at idg dot nl
New email:
PHP Version: OS:

 

 [2001-06-03 09:52 UTC] msopacua at idg dot nl
First of all, I can't grab the latest snap, cause it seems to be down:
21  s6-0.border1-7206.valinux.com (209.81.23.54)  220.562 ms  236.556 ms  188.829 ms
22  fe0-0.dist6-3662.valinux.com (198.186.202.90)  254.845 ms  215.478 ms  225.191 ms
23  * * *
24  e2-1.community8-bi8000.valinux.com (198.186.202.94)  4075.988 ms !H * *
25  * e2-1.community8-bi8000.valinux.com (198.186.202.94)  3849.621 ms !H  3933.993 ms !H

Secondly:
Apache version: 2.0.16
configure flags:
LDFLAGS='-L/weblib/local/lib' CPPFLAGS='-I/weblib/local/include -I/mysql/include/mysql' ./configure \
        --prefix=/php4 \
        --with-config-file-path=/php4/lib \
        --with-apxs2=/ap2/bin/apxs \
        --with-mysql=shared,/mysql \
        --with-mhash=/weblib/local \
        --with-sablot=/weblib/local \
        --with-expat-dir=/weblib/local \
        --with-zlib=/weblib/local \
        --with-mcal=/home/mdev/_src/libmcal \
        --enable-calendar \
        --enable-sockets \
        --enable-ftp

Error:
Making all in apache2filter
make[2]: Entering directory `/usr/home/mdev/_src/php-4.0.5/sapi/apache2filter'
make[3]: Entering directory `/usr/home/mdev/_src/php-4.0.5/sapi/apache2filter'
/bin/sh /usr/home/mdev/_src/php-4.0.5/libtool --silent --mode=compile gcc  -I. -I/usr/home/mdev/_src/php-4.0.5/sapi/apache2filter -I/usr/home/mdev/_src/php-4.0.5/main -I/usr/home/mdev/_src/php-4.0.5 -I/ap2/include -I/usr/home/mdev/_src/php-4.0.5/Zend -I/home/mdev/_src/libmcal
 -I/weblib/local/include -I/mysql/include/mysql -I/usr/home/mdev/_src/php-4.0.5/ext/xml/expat/xmltok -I/usr/home/mdev/_src/php-4.0.5/ext/xml/expat/xmlparse -I/usr/home/mdev/_src/php-4.0.5/TSRM  -I/weblib/local/include -I/mysql/include/mysql -I/pgsql/include -DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -I../TSRM -g -O2  -c sapi_apache2.c
sapi_apache2.c: In function `php_input_filter':
sapi_apache2.c:248: too many arguments to function `ap_get_brigade'
sapi_apache2.c: In function `php_register_hook':
sapi_apache2.c:443: warning: passing arg 2 of `ap_register_input_filter' from incompatible pointer type
make[3]: *** [sapi_apache2.lo] Error 1
make[3]: Leaving directory `/usr/home/mdev/_src/php-4.0.5/sapi/apache2filter'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/usr/home/mdev/_src/php-4.0.5/sapi/apache2filter'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/home/mdev/_src/php-4.0.5/sapi'
make: *** [all-recursive] Error 1

I 'quick-fixed' this as follows:
$ diff sapi_apache2.c sapi_apache2.c.org
247c247
< /* QUICKFIX -> This should be properly done by PHP developers
---
>
249,252d248
<               return rv;
<       }
< */
<       if((rv = ap_get_brigade(f->next, bb, mode)) != APR_SUCCESS) {

It then compiled only with a warning:
sapi_apache2.c: In function `php_register_hook':
sapi_apache2.c:447: warning: passing arg 2 of `ap_register_input_filter' from incompatible pointer type

And on installation with a libtool message:
libtool: install: warning: remember to run `libtool --finish /usr/home/mdev/_src/php-4.0.5/libs'

Activation is only partial - the "<FILES *.php>" directives we're not implemented in httpd.conf.

So far - phpinfo() looks good, though.

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2001-06-03 11:52 UTC] sniper@php.net
You should using the latest CVS of BOTH apache2 and PHP.
Do not bother submitting further bug reports. The
apache2 support in PHP is still under heavy development
and so is Apache2.

--Jani

 
PHP Copyright © 2001-2022 The PHP Group
All rights reserved.
Last updated: Mon Nov 28 19:05:53 2022 UTC